XFREERDP(1)

NAME
xfreerdp - FreeRDP X11 client

SYNOPSIS

xfreerdp [options] server[:port] [[options] server[:port] ...]

DESCRIPTION

xfreerdp is an X11 Remote Desktop Protocol (RDP) client which is part of the FreeRDP project. An RDP server is built-in to many editions of Windows. Alternative servers included xrdp and VRDP (VirtualBox).

OPTIONS

-0
    Attach to the admin console of the server.

-a bpp
    Sets the color depth for the connection to bpp bits per pixel. Valid values are 8, 15, 16, 24 and 32. The default value is the color depth of the FreeRDP-window.

-c dir
    Sets the working-dir to dir. This parameter is only used when an AlternateShell (-s shell) is requested. dir should contain the executable file specified in the AlternateShell.

-D
    Removes the windows decorations.

-d domain
    Set the domain used in authentication to domain.

-f
    start in full screen mode. This mode can always be en- and disabled using Ctrl-Alt-Enter.

-T text
    Sets the window title to text.

-g geometry
    Sets the size of the FreeRDP window (and of the remote desktop, when establishing a new connection). geometry can have one of the following forms:

        • WxH - in this case the resulting window will be of WxH pixels.

        • P% - in this case the resulting window will be P% of your screen.

        • The special keyword workarea - in this case the resulting window will be of the same size as your workarea.

-h
    Print help.

-k id
    Sets the keyboard-layout-id to id.

-K
    Do not interfere with window manager bindings (don't grab keyboard).

-n hostname
    Set the reported client hostname to hostname. Default is to automatically detect the hostname.

-o
    Play audio on the console instead of redirecting to the client.

-p password
    Password used in authentication.

-s shell
    Sets the startup-shell to shell. This parameter should contain a complete path to the alternate shell. If the alternete shell requires a different working directory use -c dir.

-t port
    Connect to port, instead of the default 3389.

-u username
    Username used in authentication.

-x flag
    Set the experience performance flags. flag can be one of:

        • m - (modem): Equivalent to 15.

        • b - (broadband): Equivalent to 1.

        • l - (lan): Equivalent to 0.

        • num - A hexadecimal number that represents a bit-mask, were numbers mean the following [1]:

            • 1: Disable desktop wallpaper.

            • 2: Disable full-window drag (only the window outline is displayed when the window is moved).

            • 4: Disable menu animations.

            • 8: Disable user interface themes.

            • 20: Disable mouse cursor shadows.

            • 40: Disable cursor blinking.

            • 80: Enable font smoothing.

            • 100: Enable Desktop Composition.

-X xid
    embed xfreerdp into window with xid.

-z
    Enable compression.

--app
    initialize a RemoteApp connection. This implies -g workarea.

--no-auth
    Skips authentication. This is useful e.g. for the current FreeRDP server that doesn't yet support server-side authentication.

--authonly
    Only authenticates. This is useful to test your credentials (username and password). Returns status code 0 if the client can connect. Requires a username, password and connection host at the command line.

--no-bmp-cache
    Disable bitmap cache.

--certificate-name name
    use name for the logon certificate, instead of the server name

--composition
    Enable composition (RDVH only, not to be confused with remote composition).

--ext extname
    load extension extname

--no-fastpath
    Disables fast-path. Use slow-path packets instead, which have larger headers. It might be good for debugging certain issues when you suspect it might be linked to the parsing of one of the two header types.

--from-stdin
    Prompts for unspecified arguments -u username, -p password, -d domain and connection host. This is useful to hide arguments from ps. Also useful for scripts that will feed these arguments to the client via (what else?) stdin.

--disable-full-window-drag
    Disable full window drag.

--gdi backend
    GDI (Graphics Device Interface) rendering backend. backend can be either sw (software) or hw (hardware).

--help
    Print help.

--ignore-certificate
    ignore verification of logon certificate.

--kbd-list
    list all keyboard layout ids used by -k

--disable-menu-animations
    Disable menu animations.

--no-motion
    Don't send mouse motion events.

--no-nla
    Disable network level authentication.

--nsc
    Enable NSCodec.

--no-osb
    Disable off screen bitmaps.

--plugin pluginname
    load pluginname

--no-rdp
    Disable Standard RDP encryption.

--rfx
    Enable RemoteFX.

--rfx-mode
    RemoteFX operational flags. flags can be either v[ideo], i[mage]), default is video.

--ntlm version
    force NTLM protocol version to be version, which can be one of 1 or 2.

--sec proto
    force protocol security. proto can be one of rdp, tls or nla.

--secure-checksum
    Use salted checksums with Standard RDP encryption.

--disable-theming
    Disable theming.

--no-tls
    Disable TLS encryption.

--version
    Print version information.

--disable-wallpaper
    Disable wallpaper.

LINKS

http://www.freerdp.com/

AUTHOR

The FreeRDP Team

NOTES

1.  Taken from MS-RDPBCGR Section 2.2.1.11.1.1.1 - Extended Info Packet

2.  MS-RDPBCGR Section 2.2.1.11.1.1.1 - Extended Info Packet
    http://msdn.microsoft.com/en-us/library/cc240476%28v=prot.10%29.aspx